
ThreatFactor NSIA - Feature #63

Add Ability to Ignore URL

04/08/2010 11:45 PM - Luke Murphey

Status: New Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Scan Engine Estimated time: 0.00 hour

Target version: 1.1   

Description

The application should have the ability to ignore a URL completely. This is useful for resources that were parsed incorrectly or are

large and/or slow and may slow down the scanner.

History

#1 - 04/08/2010 11:45 PM - Luke Murphey

Need to determine if exceptions are consulted by the scanner when determining to scan a URL.

#2 - 05/12/2010 11:52 AM - Luke Murphey

- Priority changed from Normal to High

Raising the priority to important since the lack of this feature may prevent the use of NSIA on some sites.

#3 - 05/12/2010 11:53 AM - Luke Murphey

This is additionally important if invasive definitions are added or NSIA is designed to submit forms (such as GET requests).

#4 - 07/11/2010 02:13 PM - Luke Murphey

- Target version set to 1.0.1

#5 - 10/25/2010 11:08 AM - Luke Murphey

- Target version changed from 1.0.1 to 1.1

#6 - 11/02/2010 01:17 PM - Luke Murphey

- Category set to Scan Engine

#7 - 12/27/2010 08:31 PM - Luke Murphey

- Start date deleted (04/08/2010)
